/*
 * @Descripttion:
 * @version:
 * @Author: kBank
 * @Date: 2022-11-10 09:26:08
 */
import request from '@/utils/request'

// 获取体系配置列表
export function getvertexList(params) {
  return request({
    url: '/system/manage/vertex/list',
    method: 'get',
    params
  })
}

// 删除体系配置
export function deleteVertex(pkId) {
  return request({
    url: '/system/manage/vertex/' + pkId,
    method: 'delete'
  })
}

// 获取单条体系配置
export function getOnevertexList(params) {
  return request({
    url: '/system/manage/vertex/detail',
    method: 'get',
    params
  })
}

// 修改单条体系配置
export function updateVertex(data) {
  return request({
    url: '/system/manage/vertex/update',
    method: 'post',
    data
  })
}

// 添加单条体系配置
export function saveVertex(data) {
  return request({
    url: '/system/manage/vertex/save',
    method: 'post',
    data
  })
}

// 注册页面配置-允许禁止枚举
export function getYseNoList(params) {
  return request({
    url: '/system/pub/enums/yes-no',
    method: 'get',
    params
  })
}

// 注册页面配置列表
export function getRegisterPageList(params) {
  return request({
    url: '/system/manage/register-page/list',
    method: 'get',
    params
  })
}
// 体系下拉
export function findVertex(params) {
  return request({
    url: 'system/manage/vertex/find-vertex',
    method: 'get',
    params
  })
}

// 保存注册页面配置
export function saveRegisterPage(data) {
  return request({
    url: '/system/manage/register-page/save',
    method: 'put',
    data
  })
}

// 刷新体系
export function flushAll(params) {
  return request({
    url: '/system/manage/vertex/flush-all',
    method: 'get',
    params
  })
}

// 获取区域体系分组
export function getGroupConfigurationList(params) {
  return request({
    url: '/system/manage/bd-region-vertex/list',
    method: 'get',
    params
  })
}

// 添加区域体系分组
export function addGroupConfiguration(data) {
  return request({
    url: '/system/manage/bd-region-vertex/add',
    method: 'post',
    data
  })
}

// 更新区域体系分组
export function updateGroupConfiguration(data) {
  return request({
    url: '/system/manage/bd-region-vertex/update',
    method: 'post',
    data
  })
}

// 删除区域体系分组
export function deleteGroupConfiguration(data) {
  return request({
    url: '/system/manage/bd-region-vertex/delete',
    method: 'post',
    data
  })
}
